/* Problem URL: https://codeforces.com/gym/105446/problem/D */

#include <bits/stdc++.h>

#include <algorithm>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int q;
    cin >> q;
    while (q--) {
        double p, r, y;
        cin >> p >> r >> y;

        double low = -1.5;
        double high = 1.5;

        while (high - low >= 1e-10) {
            double third = (high - low) / 3;
            double mid1 = low + third;
            double mid2 = high - third;

            auto check = [&](double mid) {
                double w = mid;
                double s = (y - p - r) / 2 + w;
                double n = r + s;
                double e = p + w;

                return max({abs(w), abs(s), abs(n), abs(e)});
            };

            if (check(mid1) < check(mid2)) {
                high = mid1;
                continue;
            }

            if (check(mid1) > check(mid2)) {
                low = mid2;
                continue;
            }

            low = mid1;
            high = mid2;
        }

        double w = low;
        double s = (y - p - r) / 2 + w;
        double n = r + s;
        double e = p + w;

        cout << fixed << setprecision(6) << n << ' ' << e << ' ' << s << ' ' << w << '\n';
    }
}
